## Class Swift_Mime_SimpleHeaderSet

(line 22)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Mime/SimpleHeaderSet.php

##### A collection of MIME headers.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_SimpleHeaderSet __construct (Swift_Mime_HeaderFactory $factory, [string $charset = null])
void addDateHeader (string $name, [int $timestamp = null])
void addIdHeader (string $name, [string|array $ids = null])
void addMailboxHeader (string $name, [array|string $addresses = null])
void addParameterizedHeader (string $name, [string $value = null], [array $params = array()])
void addPathHeader (string $name, [string $path = null])
void addTextHeader (string $name, [string $value = null])
void charsetChanged (string $charset)
void defineOrdering ( $sequence)
Swift_Mime_Header get (string $name, [int $index = 0])
array getAll ([string $name = null])
boolean has (string $name, [int $index = 0])
Swift_Mime_HeaderSet newInstance ()
void remove (string $name, [int $index = 0])
void removeAll (string $name)
void set (Swift_Mime_Header $header, [int $index = 0])
void setAlwaysDisplayed ( $names)
void setCharset (string $charset)
string toString ()
string __toString ()

#### Constructor __construct (line 46)

#### Swift_Mime_SimpleHeaderSet __construct( Swift_Mime_HeaderFactory $factory, [string $charset = null])

##### Create a new SimpleHeaderSet with the given $factory.

#### Parameters

- Swift_Mime_HeaderFactory $factory:
- string $charset:

#### Info

- access - public

#### Method addDateHeader (line 86)

#### void addDateHeader( string $name, [int $timestamp = null])

Implementation of:

Swift_Mime_HeaderSet::addDateHeader()
  Add a new Date header using $timestamp (UNIX time).

##### Add a new Date header using $timestamp (UNIX time).

#### Parameters

- string $name:
- int $timestamp:

#### Info

- access - public

#### Method addIdHeader (line 125)

#### void addIdHeader( string $name, [string|array $ids = null])

Implementation of:

Swift_Mime_HeaderSet::addIdHeader()
  Add a new ID header for Message-ID or Content-ID.

##### Add a new ID header for Message-ID or Content-ID.

#### Parameters

- string $name:
- string|array $ids:

#### Info

- access - public

#### Method addMailboxHeader (line 74)

#### void addMailboxHeader( string $name, [array|string $addresses = null])

Implementation of:

Swift_Mime_HeaderSet::addMailboxHeader()
  Add a new Mailbox Header with a list of $addresses.

##### Add a new Mailbox Header with a list of $addresses.

#### Parameters

- string $name:
- array|string $addresses:

#### Info

- access - public

#### Method addParameterizedHeader (line 111)

#### void addParameterizedHeader( string $name, [string $value = null], [array $params = array()])

Implementation of:

Swift_Mime_HeaderSet::addParameterizedHeader()
  Add a new ParameterizedHeader with $name, $value and $params.

##### Add a new ParameterizedHeader with $name, $value and $params.

#### Parameters

- string $name:
- string $value:
- array $params:

#### Info

- access - public

#### Method addPathHeader (line 136)

#### void addPathHeader( string $name, [string $path = null])

Implementation of:

Swift_Mime_HeaderSet::addPathHeader()
  Add a new Path header with an address (path) in it.

##### Add a new Path header with an address (path) in it.

#### Parameters

- string $name:
- string $path:

#### Info

- access - public

#### Method addTextHeader (line 98)

#### void addTextHeader( string $name, [string $value = null])

Implementation of:

Swift_Mime_HeaderSet::addTextHeader()
  Add a new basic text header with $name and $value.

##### Add a new basic text header with $name and $value.

#### Parameters

- string $name:
- string $value:

#### Info

- access - public

#### Method charsetChanged (line 286)

#### void charsetChanged( string $charset)

Implementation of:

Swift_Mime_CharsetObserver::charsetChanged()
  Notify this observer that the entity's charset has changed.

##### Notify this observer that the entity's charset has changed.

#### Parameters

- string $charset:

#### Info

- access - public

#### Method defineOrdering (line 264)

#### void defineOrdering( $sequence)

Implementation of:

Swift_Mime_HeaderSet::defineOrdering()
  Define a list of Header names as an array in the correct order.

##### Define a list of Header names as an array in the correct order.

These Headers will be output in the given order where present.

#### Parameters

- array $sequence:

#### Info

- access - public

#### Method get (line 186)

#### Swift_Mime_Header get( string $name, [int $index = 0])

Implementation of:

Swift_Mime_HeaderSet::get()
  Get the header with the given $name.

##### Get the header with the given $name.

If multiple headers match, the actual one may be specified by $index. Returns NULL if none present.

#### Parameters

- string $name:
- int $index:

#### Info

- access - public

#### Method getAll (line 202)

#### array getAll( [string $name = null])

Implementation of:

Swift_Mime_HeaderSet::getAll()
  Get all headers with the given $name.

##### Get all headers with the given $name.

#### Parameters

- string $name:

#### Info

- access - public

#### Method has (line 151)

#### boolean has( string $name, [int $index = 0])

Implementation of:

Swift_Mime_HeaderSet::has()
  Returns true if at least one header with the given $name exists.

##### Returns true if at least one header with the given $name exists.

If multiple headers match, the actual one may be specified by $index.

#### Parameters

- string $name:
- int $index:

#### Info

- access - public

#### Method newInstance (line 252)

#### Swift_Mime_HeaderSet newInstance( )

Implementation of:

Swift_Mime_HeaderSet::newInstance()
  Create a new instance of this HeaderSet.

##### Create a new instance of this HeaderSet.

#### Info

- access - public

#### Method remove (line 230)

#### void remove( string $name, [int $index = 0])

Implementation of:

Swift_Mime_HeaderSet::remove()
  Remove the header with the given $name if it's set.

##### Remove the header with the given $name if it's set.

If multiple headers match, the actual one may be specified by $index.

#### Parameters

- string $name:
- int $index:

#### Info

- access - public

#### Method removeAll (line 241)

#### void removeAll( string $name)

Implementation of:

Swift_Mime_HeaderSet::removeAll()
  Remove all headers with the given $name.

##### Remove all headers with the given $name.

#### Parameters

- string $name:

#### Info

- access - public

#### Method set (line 170)

#### void set( Swift_Mime_Header $header, [int $index = 0])

Implementation of:

Swift_Mime_HeaderSet::set()
  Set a header in the HeaderSet.

##### Set a header in the HeaderSet.

The header may be a previously fetched header via get() or it may be one that has been created separately.

If $index is specified, the header will be inserted into the set at this offset.

#### Parameters

- Swift_Mime_Header $header:
- int $index:

#### Info

- access - public

#### Method setAlwaysDisplayed (line 276)

#### void setAlwaysDisplayed( $names)

Implementation of:

Swift_Mime_HeaderSet::setAlwaysDisplayed()
  Set a list of header names which must always be displayed when set.

##### Set a list of header names which must always be displayed when set.

Usually headers without a field value won't be output unless set here.

#### Parameters

- array $names:

#### Info

- access - public

#### Method setCharset (line 61)

#### void setCharset( string $charset)

##### Set the charset used by these headers.

#### Parameters

- string $charset:

#### Info

- access - public

#### Method toString (line 296)

#### string toString( )

Implementation of:

Swift_Mime_HeaderSet::toString()
  Returns a string with a representation of all headers.

##### Returns a string with a representation of all headers.

#### Info

- access - public

#### Method __toString (line 324)

#### string __toString( )

##### Returns a string representation of this object.

#### Info

- see - Swift_Mime_SimpleHeaderSet::toString()
- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:29 +0000 by phpDocumentor 1.4.3